@import "variables";

html {
    font-family: Helvetica, Arial, sans-serif;
    scroll-behavior: smooth;
}

body {
    margin: 1em;
    margin-bottom: 5em;

    @media (prefers-color-scheme: dark) {
        background: $body_dark;
        color: $font_dark;
    }
}

h1 {
    margin: 0;
    margin-bottom: 0.65em;
}

p {
    line-height: 1.5;
}

a {
    color: inherit;
    text-decoration: none;
}

@import 'template/hero.scss';
@import 'template/navbar.scss';

section {
    padding: 1em;
    border-radius: 0.5em;
    scroll-margin-top: 7em;

    box-shadow: $cardShadow_light;
    @media (prefers-color-scheme: dark) {
        box-shadow: $cardShadow_dark;
        background: $card_dark;
    }
}

.page {
    width: 960px;
    max-width: calc(100vw - 20em);
    margin: auto;
    display: grid;
    gap: 2.5em;

    @media (max-width: 960px) {
        max-width: calc(100vw - 10em);
    }

    @media (max-width: 720px) {
        max-width: calc(100vw - 5em);
    }

    @media (max-width: 400px) {
        max-width: calc(100vw - 3em);
    }

}

.aboutAndSkillsBox {
    display: grid;
    grid-template-columns: 3fr 2fr;
    gap: 2.5em;

    @media (max-width: 1200px) {
        grid-template-columns: 1fr;
    }
}

@import 'components/progress-bar.scss';
@import 'components/projects.scss';

.stylesSection {
    display: grid;
    grid-template-columns: auto 1fr;
    gap: 0.65em;
    align-items: center;
}

@import 'single.scss';